package com.ruoyi.iot.service;


import com.alibaba.fastjson2.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.iot.domain.TDevicePlan;
import com.ruoyi.iot.domain.dto.TDevicePlanAddNewDTO;
import com.ruoyi.iot.domain.vo.TDevicePlanVO;

import java.util.List;

/**
 * 处理设备记录仪数据的业务接口
 *
 * @author java@tedu.cn
 * @version 0.0.1
 */
public interface ITDevicePlanService extends IService<TDevicePlan>  {
    /**
     * 添加相册
     *
     * @param tDevicePlanAddNewDTO 相册数据
     */
    void addNew(TDevicePlanAddNewDTO tDevicePlanAddNewDTO);

    /**
     * 检查需要做的
     * @return
     */
    void checkReadyToRun();
    /**
     * 根据用户id查询预约记录
     * @return
     */
    List<TDevicePlanVO> getStandardByUserId(Long userId);

    void checkRunSuccess();


    void runPlanChargeJob(String deviceId,JSONObject object);
}
